package com.ematou.wxservice.mp.menu;

/**
 * 小程序类型
 * @author lhm
 * @version 1.0
 * 2021-05-11 19:50
 */
public class MiniProgramButton extends Button {

    private String url;

    private String appid;

    private String pagepath;

    public MiniProgramButton(String name, String type, String url, String appid, String pagepath) {
        super(name, type);
        this.url = url;
        this.appid = appid;
        this.pagepath = pagepath;
    }

    public MiniProgramButton() {
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getPagepath() {
        return pagepath;
    }

    public void setPagepath(String pagepath) {
        this.pagepath = pagepath;
    }
}
